Bug 697746 - (CVE-2011-1591) CVE-2011-1591 Wireshark: Heap-based buffer overflow in DECT dissector
CVE-2011-1591 Wireshark: Heap-based buffer overflow in DECT dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110415,reported=20110415,sou...
: Reopened, Security
Depends On: 697747
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-19 01:41 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 05:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 03:31:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2011-04-19 01:41:00 EDT
A heap-based buffer overflow was found in the DECT dissector of
wireshark versions 1.4.0 to 1.4.4

A remote attacker could use this flaw to cause wireshark executable
to crash or, potentially, execute arbitrary code with the privileges
of the user running wireshark.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5838
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5836

Upstream acknowledges Paul Makowski of SEI/CERT as the original 
reporter of the issue.
Comment 1 Huzaifa S. Sidhpurwala 2011-04-19 01:50:16 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 697747]
Comment 2 Huzaifa S. Sidhpurwala 2011-05-03 06:21:25 EDT
This issue was addressed in Fedora 14 and Fedora 15 via:

https://admin.fedoraproject.org/updates/wireshark-1.4.6-1.fc14
https://admin.fedoraproject.org/updates/wireshark-1.4.6-1.fc15


Statement:

Not vulnerable. This issue did not affect the versions of wireshark as
shipped with Red Hat Enterprise Linux 4, 5, or 6.

Note You need to log in before you can comment on or make changes to this bug.